Name:		tomahawk
Version:	0.6.1
Release:	%mkrel 1
Summary:	Qt playdar social music player
License:	GPLv3
Group:		Sound
URL:		http://tomahawk-player.org
Source:		http://downloads.tomahawk-player.org/%{name}-%{version}.tar.xz
Patch0:		tomahawk-0.3.2-clucene.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	qt4-devel
BuildRequires:	quazip-devel
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	qjson-devel
BuildRequires:	taglib-devel
BuildRequires:	clucene2-devel => 2.3.3.4
BuildRequires:	libechonest-devel
BuildRequires:	liblastfm-devel
BuildRequires:	jreen-devel
BuildRequires:	attica-devel
BuildRequires:	qtweetlib-devel
Requires:	%{_lib}echonest2
Requires:	%{_lib}clucene2
Requires:	%{_lib}qtweetlib1
Requires:	%{_lib}lastfm1
Requires:	quazip >= 0.4.1


%description
Tomahawk Player is a next generation music player. 
It features custom stations (building upon the beatuiful Echo Nest), a playlist importer, 
social connection to Twitter, Google Chat, and Jabber. Maybe most important of all: 
It's able to find and pull music from different sources like YouTube, last.fm,
SoundCloud, Skreemr, Spotify, and more using the Playdar approach.
Of course, it can also play songs from your local library. 


%prep
%setup -q
#%patch0 -p1

%build
%cmake -DINTERNAL_JREEN=OFF -DBUILD_RELEASE=ON
%make

%install
%makeinstall_std -C build


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/tomahawk
%{_libdir}/libtomahawk_*.so
%{_libdir}/libtomahawklib.so
%{_prefix}/libexec/tomahawk_crash_reporter
%{_datadir}/applications/tomahawk.desktop
%{_datadir}/icons/

%changelog
* Thu Apr 11 2013 Texstar <texstar at gmail.com> 0.6.1-1pclos2013
- 0.6.1

* Wed Dec 21 2011 Texstar <texstar at gmail.com> 0.3.3-1pclos2011
- 0.3.3

* Mon Dec 05 2011 Texstar <texstar at gmail.com> 0.3.2-1pclos2011
- 0.3.2

